* {
    margin: 0;
    padding: 0;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    font-size: large;
}

header,
footer {
    display: flex;
    align-items: center;
    color: white;
    height: 15vh;
    padding-left: 20px;
}

header {
    background-color: darkslateblue;
    color: white;
}

footer {
    background-color: black;
}

.principal {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    padding: 15px;
    grid-area: prin;
}

.sidebar {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    background-color: lightcoral;
    grid-area: side;
}

.sidebar * {
    margin-left: 20px;
}

.sidebar ul {
    padding-left: 30px;
}

.contenedor {
    width: 80vw;
    height: 70vh;
    display: grid;
    grid-template-rows: 90% auto;
    grid-template-columns: repeat(4, 1fr);
    grid-template-areas:
        "prin prin prin side"
        "izquierda izquierda derecha derecha";
    margin-left: 10%;
}

.cajaderecha,
.cajaizquierda {
    background-color: blue;
    padding: 15px;
}

.cajaizquierda {
    grid-area: izquierda;
}

.cajaderecha {
    background-color: lightblue;
    grid-area: derecha;
}

@media all and (max-width:700px) {
    .contenedor {
        display: flex;
        flex-direction: column;
        margin: 0;
        width: 100%;
        height: 100%;
    }

    .contenedor div * {
        padding: 10px;
    }
}